function uUe(a){this.a=a}
function BUe(a,b){HTe(a.a,b)}
function CUe(a,b){GTe(a.a,b)}
function ytk(){sZe(this.b,new uUe(this))}
function U$e(a){var b;if(!a.d){b=new DUe;a.d=b}return a.d}
function T$e(a){var b;if(!a.c){b=new sUe(vFd(sce(a.a)),U$e(a),S$e(a),(woj(Zde(a.a)),SLg(lde(a.a))),A1i(Xde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.c=b}return a.c}
function DUe(){this.a=new ITe(D2j);FTe(this.a,(uYd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function sUe(a,b,d,e){var g,i,j;lGd.call(this,a,b,d);this.c=e;g=new v8i;g.b=new Vlj;this.b=new tZe(g);j=new O0i(rlb);i=new z0i(rlb,(jBh(),eBh).Mc(rlb),iBh.Mc(rlb));this.a=new gUe(j,i);eUe(this.a,this)}
w3c(2106,1011,Pyj,sUe);_.Al=function(){var a;a=new v8i;a.b=new Vlj;return a};_.Bl=ytk;_.Ti=function(){BUe(this.A,this.a)};_.Yi=ytk;_.aj=function(){Yuf(this.c,this)};w3c(2107,1298,{},uUe);_.eh=function(a){CUe(this.a.A,a)};w3c(2110,1415,Oyj,DUe);_.Bh=function(){return ETe(this.a)};w3c(2220,1,vzj);_.td=function(){dHd(this.b,T$e(this.a.a))};var Pjb=bOd(2106),Mjb=bOd(2107),Qjb=bOd(2110);jAj(fp)(9);